## xe-create-templates 0.9.3

=== mk/Makefile ===
USE_BRANDING := yes
IMPORT_VERSIONS := yes
include $(B_BASE)/common.mk
include $(B_BASE)/rpmbuild.mk

REPO = $(call hg_loc,guest-templates)
RPM_BINDIR = $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)
CSET_NUMBER := $(shell $(shell $(call hg_cset_number,guest-templates)); echo $$CSET_NUMBER)
VERSION := $(PLATFORM_VERSION)-$(CSET_NUMBER)

.PHONY: build
build: srpm $(MY_SOURCES)/MANIFEST
	$(RPMBUILD) --target $(DOMAIN0_ARCH_OPTIMIZED) -bb $(RPM_SPECSDIR)/guest-templates.spec
	mkdir -p $(MY_OUTPUT_DIR) $(MY_MAIN_PACKAGES)
	# Deliberately omit the debuginfo RPM (v6d-debuginfo-0...)
	cp $(RPM_BINDIR)/guest-templates-0*.rpm $(MY_MAIN_PACKAGES)

.PHONY: srpm
srpm:
	mkdir -p $(RPM_SRPMSDIR) $(RPM_SPECSDIR) $(RPM_SOURCESDIR) $(RPM_RPMSDIR)
	hg archive -p guest-templates-0 -t tbz2 $(RPM_SOURCESDIR)/guest-templates-0.tar.bz2
	install ../guest-templates.spec $(RPM_SPECSDIR)
	$(RPMBUILD) --target $(DOMAIN0_ARCH_OPTIMIZED) -bs $(RPM_SPECSDIR)/guest-templates.spec

$(MY_SOURCES)/MANIFEST: $(MY_SOURCES_DIRSTAMP)
	rm -f $@
	/bin/sh ./srpms-to-manifest guest-templates $(MY_OUTPUT_DIR)/SRPMS > $@

.PHONY: clean
clean:
	rm -f $(OUTPUT)
	$(MAKE) -C $(REPO) clean

=== debian/changelog ===
xe-create-templates (0.9.3-1) UNRELEASED; urgency=low

  * Update to 0.9.3

 -- Jonathan Ludlam <jonathan.ludlam@citrix.com>  Fri, 06 Jun 2014 12:00:00 +0000

xe-create-templates (0.9.2-1) UNRELEASED; urgency=low

  * Update to 0.9.2

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 25 Sep 2013 12:00:00 +0000

=== debian/control ===
Source: xe-create-templates
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libxmlm-ocaml-dev,
 ocaml-xen-api-libs-transitional-dev,
 libxcp-idl-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 ocaml-obuild,
 camlp4-extra,
 libstdext-ocaml-dev,
 ocaml-native-compilers,
 libxen-api-client-ocaml-dev,
 liblwt-ocaml-dev,
 ocaml-findlib

Package: xe-create-templates
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Creates default XenServer templates
 A utility to create the default XenServer templates.
